<?php
	if(session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include('setup.php');
?>

<!DOCTYPE html>
<html lang="pt-br">
		<head>
			<meta charset="utf-8">
			<link rel="stylesheet" href="css/menu.css">
			<link rel="stylesheet" href="css/article.css">
			<title> Página Inicial do Sistema </title>
		</head>
		<body>
			<nav id="menu">
				<ul>
					<li><a>Home</a></li>
					<?php if(isset($_SESSION['login'])){?>
						<li class='spacer'><a></a></li>
						<li><p>Usuário: <?php echo $_SESSION['login'];?></p></li>
						<li><a href='login/sair.php'>Sair</a></li>
					<?php } else {?>
						<li class='spacer'><a></a></li>
						<li><a href='login/login.php'>Entrar</a></li>
					<?php }?>
				</ul>
			</nav>
			<article>
				<section class="left">
					<?php if(isset($_SESSION['login'])){?>
						<h2> Atalhos: </h2>
							<a class='button' href="cliente/cad_cliente.php">Cadastro de Cliente</a>
							<a class='button' href="servicos/cad_ser.php">Cadastro de Serviço</a>
							<a class='button' href="categoria/cad_cat.php">Cadastro de Categoria</a>
							<a class='button' href="prestadores/cad_pre.php">Cadastro de Prestador</a>
							<a class='button' href="orcamento/cad_orcamento.php">Criação de Orçamento</a>
						<h2> Relatórios </h2>
							<a class='button' href="rels/rel_prestador.php">Relatório Prestadores</a>
							<a class='button' href="rels/rel_cliente.php">Relatório Clientes</a>
							<a class='button' href="rels/rel_prestador_servico.php">Relatório Serviços</a>
						<h2> Pesquisas </h2>
							<a class='button' href="rels/pes_cliente.php">Pesquisar Clientes</a>
							<a class='button' href="rels/pes_servico.php">Pesquisar Serviço por Categoria</a>
							<a class='button' href="rels/pes_orcamento_cliente.php">Pesquisar Orçamento por Cliente</a>
							<a class='button' href="rels/pes_orcamento_data.php">Pesquisar Orçamento por Data</a>
							<a class='button' href="rels/pes_prestadores_cli.php">Pesquisar Prestadores</a>
							<a class='button' href="rels/pes_servicos_cli.php">Pesquisar Serviços</a>
					<?php }?>
				</section>
				<section class="center">
					<?php if(isset($_SESSION['msg'])){?>
						<div class="msg">
							<?php echo $_SESSION['msg'];
								unset($_SESSION['msg']);?>
						</div>
					<?php }?>
					<h2>Bem vindo!</h2>
					<?php if(isset($_SESSION['login'])){?>
						<p>Use os botões ao lado para fazer uma operação.</p>
					<?php }else{?>
					<p>É necessário estar logado.</p>
					<a class="button" href="login/login.php">Fazer Login</a>
					<?php }?>
				</section>
				<section class="right">
					<?php if(isset($_SESSION['login'])){?>
					<h2> Ir para: </h2>
					<a class="button" href="cliente/index.php">Clientes</a>
					<a class="button" href="servicos/index.php">Serviços</a>
					<a class="button" href="categoria/index.php">Categoria</a>
					<a class="button" href="prestadores/index.php">Prestadores</a>
					<a class="button" href="orcamento/index.php">Orçamento</a>
					<a class="button" href="rels/index.php">Relatórios</a>
					<?php
						if(strcmp($_SESSION['tipo'],'adm') == 0)
						{ ?>
							<h2>Administrador:</h2>
							<a class='button' href='login/list_login.php'>Usuários</a>
							<a class='button' href='rels/rel_cliente_adm.php'>Relatório de Clientes e Usuários</a>
							<a class='button' href='rels/pes_usuarios.php'>Pesquisa de Usuários</a>
					<?php	}
					}?>
				</section>
			</article>
			
			<hr>
			<footer>
				<center>
					<h4>F. Raszeja, G. Oliveira & G. Schitini</h4>
					<h5>2021 - FATEC</h5>
				</center>
			</footer>
		</body>
</html>
