<?php
	if(session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include('../conexao.php');
	adm_auth();
	
	include('../menu.php');
	$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_NUMBER_INT);
	if(isset($_POST['alterar']))
	{
		$user = $_POST['usuario'];
		$senha = (empty($_POST['senha'])) ? NULL : $_POST['senha'];
		$tipo = filter_input(INPUT_POST, 'tipo', FILTER_SANITIZE_STRING);
		
		if((strcasecmp($tipo,'ADM') == 0) || (strcasecmp($tipo,'COM') == 0))
		{
			// Verificar se usuário já existe
			$check = $con->prepare('SELECT usuario, login_id FROM consulta_usuarios WHERE usuario = ?');
			$check->bind_param('s',$user);
			$check->execute();
			$res = $check->get_result();
			$row = $res->fetch_assoc();
			
			if(!empty($row['usuario']) && $row['login_id'] != $id)
			{
				$_SESSION['msg'] = "Nome de usuário em uso.";
				header('Location: alt_user.php?id='.$id);
				$check->close();
			}
			else{
				if($senha == null)
				{
					$alter = $con->prepare("UPDATE login_usuarios SET login = ?, tipo = ? WHERE id = ?");
					$alter->bind_param('sss',$user,$tipo,$id);
					if($alter->execute())
					{
						$_SESSION['msg'] = "<p>Usuário atualizado com sucesso.</p>";
						header('Location: list_login.php');
					}
					else
					{
						$_SESSION['msg'] = "<p>Erro na atualização.</p>";
						header('Location: alt_user.php?id='.$id);
					}
					$alter->close();
				}
				else
				{
					$alter = $con->prepare("UPDATE login_usuarios SET login = ?, senha = ?, tipo = ? WHERE id = ?");
					$hpasswd = password_hash($senha, PASSWORD_DEFAULT);
					$alter->bind_param('ssss',$user,$hpasswd,$tipo,$id);
					if($alter->execute())
					{
						$_SESSION['msg'] = "<p>Usuário e Senha atualizado com sucesso.</p>";
						header('Location: list_login.php');
					}
					else
					{
						$_SESSION['msg'] = "<p>Erro na atualização.</p>";
						header('Location: alt_user.php?id='.$id);
					}
					$alter->close();
				}
			}
		}
		else{
			$_SESSION['msg'] = "<p>Tipo de usuário inválido.</p>";
			header('Location: alt_user.php?id='.$id);
		}
	}
?>
<DOCTYPE html>
	<html>
		<head>
			<meta charset="utf-8">
			<title> Atualizar Usuário </title>
			<link rel="stylesheet" href="../css/menu.css">	
			<link rel="stylesheet" href="../css/input.css">	
			<link rel="stylesheet" href="../css/forms.css">
		</head>
		<body>
			<?php echo $nav;?>
			<?php
				$res = $con->prepare("SELECT login_id, nome_usuario, usuario, tipo_usuario FROM consulta_usuarios WHERE login_id = ?");
				$res->bind_param('s',$id);
				$res->execute();
				$result= $res->get_result();
				$row= $result->fetch_assoc();
			?>
			<section>
				<?php if(isset($_SESSION['msg'])){?>
					<div class="msg">
						<?php echo $_SESSION['msg'];?>
					</div>
				<?php } ?>
				<h1> Atualizar Usuário </h1>
				<form method="POST" action="">
					<p> Usuário: <input type="text" name="usuario" value=<?php echo $row['usuario']?> required></p>
					<p> Senha: <input type="password" name="senha"></p>
					<?php if(strcasecmp($row['nome_usuario'],'ADMINISTRADOR') != 0){?>
					<p> Tipo: </p>
					<select name="tipo">
					  <option value="adm" <?php if(strcasecmp($row['tipo_usuario'],'adm') == 0) echo "selected";?>>Administrador</option>
					  <option value="com" <?php if(strcasecmp($row['tipo_usuario'],'com') == 0) echo "selected";?>>Comum</option>
					</select>
					<?php } else {?>
						<input type="hidden" name="tipo" value="adm">
					<?php } $res->close();?>
					<hr>
					<table class='input'>
						<td><input class='buttons' name="alterar" type="submit" value="Salvar"></td>
						<td><input class='buttons' type="reset" value="Limpar"></td>
					</table>
				</form>
				</section>
			<?php echo $footer;?>
	</body>
</html>