<?php
	if(session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include('../conexao.php');
	include('../menu.php');
	adm_auth();
	$res = $con->prepare("SELECT login_id, nome_usuario, usuario, tipo_usuario FROM consulta_usuarios LIMIT ?, ?");
	
?>
<!DOCTYPE html>
<html lang="pt-br">
	<head>
		<meta charset="utf-8">
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/tables.css">
		<title>Listagem de Usuários</title>
	</head>
	<body>
		<?php echo $nav;?>
		<section>
		<h1>Usuários</h1>
		<?php if(isset($_SESSION['msg'])){?>
			<div class="msg">
				<?php echo $_SESSION['msg'];
					unset($_SESSION['msg']);?>
			</div>
		<?php }?>
		<?php
			$pagina_atual = filter_input(INPUT_GET,'pagina',FILTER_SANITIZE_NUMBER_INT);
			$pagina = (!empty($pagina_atual)) ? $pagina_atual : 1;

			$qnt_result_pg = 15;

			$inicio = ($qnt_result_pg * $pagina) - $qnt_result_pg;
					
			$res->bind_param('ss',$inicio,$qnt_result_pg);
			$res->execute();
			$rows = $res->get_result();
			if(isset($_SESSION['msg']))
			{
			echo $_SESSION['msg'];
			unset($_SESSION['msg']);
			}
		?>
		<table border="1">
			<tr>
				<td>
					Nome:
				</td>
				<td>
					Usuário:
				</td>
				<td>
					Tipo:
				</td>
				<td>
					Operações:
				</td>
			</tr>
			
		<?php
			while($row = $rows->fetch_assoc())
			{
				echo "<tr>";
				echo "<td>".$row['nome_usuario']."</td>";
				echo "<td>".$row['usuario']."</td>";
				echo "<td>".$row['tipo_usuario']."</td>";
				echo "<td><a href='alt_user.php?id=".$row['login_id']."'>Editar</a> <a href='rem_user.php?id=".$row['login_id']."'>Remover</a></td>";
				echo "</tr>";
			}
			$res->close();
		?>
		</table>
		<?php
			$result_pg = $con->prepare("SELECT COUNT(login_id) AS num_result FROM consulta_usuarios");
			$result_pg->execute();
				
			$row_pg = $result_pg->get_result()->fetch_assoc();
			$result_pg->close();
			$quantidade_pg = ceil($row_pg['num_result'] / $qnt_result_pg);

			$max_links = 2;
			echo "<a href='list_login.php?pagina=1'>Primeira</a> ";
			
			for($pag_ant = $pagina - $max_links; $pag_ant <= $pagina - 1; $pag_ant++){
				if($pag_ant >= 1){
					echo "<a href='list_login.php?pagina=$pag_ant'>$pag_ant</a> ";
				}
			}
				
			echo "$pagina ";
			
			for($pag_dep = $pagina + 1; $pag_dep <= $pagina + $max_links; $pag_dep++){
				if($pag_dep <= $quantidade_pg){
					echo "<a href='list_login.php?pagina=$pag_dep'>$pag_dep</a> ";
				}
			}
			echo "<a href='list_login.php?pagina=$quantidade_pg'>Última</a>";
		?>
		</section>
	<?php echo $footer;?>
	</body>
</html>