<?php
	if (session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include("../conexao.php");
	include('../menu.php');
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>Relatório prestador</title>
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/article.css">	
		<link rel="stylesheet" href="../css/input.css">	
	</head>
	<body>
		<?php echo $nav; ?>
		<article>
			<section class='center'>
				<h1>Clientes</h1>
				<h1>Pesquisar Clientes</h1>		
				<form method="POST" action="">
					<label>Cliente: </label>
					<input type="text" name="nome" placeholder="Digite o nome do cliente:" size="30"><br><br>
					<input type="submit" class='buttons' name="SendPesqUser" value="Pesquisar">
				</form><br><br>
				
				<?php
					$SendPesqUser = filter_input(INPUT_POST, 'SendPesqUser', FILTER_SANITIZE_STRING);
					if($SendPesqUser){
						$nome = filter_input(INPUT_POST, 'nome', FILTER_SANITIZE_STRING);
						$nome = '%'.$nome.'%';
						$query = "SELECT * FROM tbclientes WHERE nome LIKE ?";
						$stmt = $con->prepare($query);
						$stmt->bind_param('s',$nome);
						if($stmt->execute())
						{
							$row = $stmt->get_result();
							echo "<h2> Resultado(s) para ".trim($nome,"%").": </h2>";
							while($res = $row->fetch_assoc())
							{
								if(strcmp($res['nome'],'Administrador') != 0)
								{
									echo "<h2>N°: ".$res['id']."<br>Cliente: ".$res['nome']."<br></h2>";
									echo "<h3>Detalhes de Endereço</h3>";
									echo "Endereço: ".$res['endereco']."<br>";
									echo "Bairro: ".$res['bairro']."<br>";
									echo "Cidade: ".$res['cidade']."<br>";
									echo "Estado: ".$res['estado']."<br>";
									echo "CEP: ".$res['cep']."<br>";
									echo "<h3>Informações Pessoais</h3>";
									echo "Email: ".$res['email']."<br>";
									echo "CPF/CNPJ: ".$res['cpf_cnpj']."<br>";
									echo "RG: ".$res['rg']."<br>";
									echo "Telefone: ".$res['telefone']."<br>";
									echo "Celular: ".$res['celular']."<br>";
									echo "<hr>";
								}
							}
						}
					}
				?>
			</section>
		</article>
		<?php echo $footer; ?>
	</body>
</html>